### Function

# GLib CacheDestroyFunc

deprecated: 2.32

#### Declaration

    void
    (* GCacheDestroyFunc) (
      gpointer value
    )

#### Description [src]

Specifies the type of the `value_destroy_func` and `key_destroy_func` functions passed to g_cache_new(). The functions are passed a pointer to the `GCache` key or `GCache` value and should free any memory and other resources associated with it.

Deprecated since: 2.32

Use a `GHashTable` instead.

#### Parameters

`value`

  Type: `gpointer`

  The `GCache` value to destroy.

  The argument can be `NULL`.
  The data is owned by the caller of the function.